
QGIS Application - Bug report #2047

Spatialite layers fail to render after performing identify

2009-11-03 12:12 PM - Tim Sutton

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12107

Description

If I add three layers from my spatialite database and then try to identify a feature on one of them, the layer stops rendering and turning the

layer on or off has no effect. See attached screenshot (note the cities layer is on but no point features are rendered.

History

#1 - 2009-11-03 12:22 PM - Tim Sutton

Further clarification:

To replicate, try to identify a spatialite layer, then turn the layer off and then on again. It does not draw and it also fails to identify features properly.

#2 - 2009-11-05 03:37 AM - Giovanni Manghi

Hi,

I cannot confirm this bug on Ununtu 9.04 and qgis trunk compiled from source. Using the spatialite sample dataset.

#3 - 2009-11-11 07:44 PM - Steven Mizuno

May be related to #1977

#4 - 2009-11-29 02:49 AM - Giovanni Manghi

I still cannot confirm this bug in my ubuntu 9.04 installation. As said it maybe related to #1977 and #2148

#5 - 2009-11-29 03:00 AM - Giovanni Manghi

Cannot confirm also under windows xp.

#6 - 2009-12-03 04:09 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed
Hi Tim, the two (maybe) related tickets were closed. I'm still not able to replicate the problem. Please reopen if necessary.
